org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeResolverBuilder

- java.lang.Object
- - StdTypeResolverBuilder
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeResolverBuilder

-     public class GraphSONTypeResolverBuilder
      extends StdTypeResolverBuilder

  Creates the Type serializers as well as the Typed deserializers that will be provided to the serializers and deserializers. Contains the typeInfo level that should be provided by the GraphSONMapper.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONTypeResolverBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeDeserializer` | `buildTypeDeserializer(DeserializationConfig config, JavaType baseType, Collection<NamedType> subtypes)`
    `TypeSerializer` | `buildTypeSerializer(SerializationConfig config, JavaType baseType, Collection<NamedType> subtypes)`
    `GraphSONTypeResolverBuilder` | `typesEmbedding(TypeInfo typeInfo)`
    `GraphSONTypeResolverBuilder` | `valuePropertyName(String valuePropertyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONTypeResolverBuilder

          public GraphSONTypeResolverBuilder()

  - ### Method Detail

    - #### buildTypeDeserializer

          public TypeDeserializer buildTypeDeserializer(DeserializationConfig config,
                                                        JavaType baseType,
                                                        Collection<NamedType> subtypes)

    - #### buildTypeSerializer

          public TypeSerializer buildTypeSerializer(SerializationConfig config,
                                                    JavaType baseType,
                                                    Collection<NamedType> subtypes)

    - #### valuePropertyName

          public GraphSONTypeResolverBuilder valuePropertyName(String valuePropertyName)

    - #### typesEmbedding

          public GraphSONTypeResolverBuilder typesEmbedding(TypeInfo typeInfo)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.